%define upstream_name    Directory-Scratch
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl Module to generate self-cleaning scratch space for tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Directory/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Tiny) >= 0.60.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
When writing test suites for modules that operate on files, it's often
inconvenient to correctly create a platform-independent temporary storage
space, manipulate files inside it, then clean it up when the test exits. The
inconvenience usually results in tests that don't work everywhere, or worse, no
tests at all.

This module aims to eliminate that problem by making it easy to do things right.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/Directory


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.180.0-7.mga10
+ Revision: 2198204
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.180.0-6.mga9
+ Revision: 1803011
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-5.mga8
+ Revision: 1494034
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-4.mga7
+ Revision: 1267280
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1025801
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 966022
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 839476
- update to 0.18

* Sun Oct 19 2014 umeabot <umeabot> 0.150.0-6.mga5
+ Revision: 790188
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 743453
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 735617
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 684376
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 526872
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439064
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 365982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 28512
- mageia rebuild
- imported package perl-Directory-Scratch


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 402136
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.14-2mdv2009.0
+ Revision: 268440
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.0
+ Revision: 217982
- update to new version 0.14

  + Michael Scherer <misc@mandriva.org>
    - enhance description and summary

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2009.0
+ Revision: 213728
- import perl-Directory-Scratch


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2009.0
- first mdv release
